import 'package:firebase/firebase/firebase_handler.dart';
import 'package:uuid/uuid.dart';

import 'dart:io';

class FirebaseImage {

  Future<String> uploadImageByPath(File path) async {
    final _firebaseStorage = FirebaseHandler().getFirebaseStorage();
    var snapshot = await _firebaseStorage.ref()
        .child('images/' + const Uuid().v1())
        .putFile(path);
    return await snapshot.ref.getDownloadURL();
  }
}
