import 'package:flutter/material.dart';

class InfoDialog extends StatelessWidget {

  final String _dialogContent;
  final String _optionContent;

  const InfoDialog({
    Key? key,
    required String dialogContent,
    required String optionContent, }) :
      _dialogContent = dialogContent,
      _optionContent = optionContent,
      super(key: key);

  @override
  Widget build(BuildContext context) {
    return AlertDialog(
      title: Text(_dialogContent),
      actions: [
        TextButton(
          onPressed: () => Navigator.of(context).pop(),
          child: Text(_optionContent)),
      ],
    );
  }
}
